GOTO (jakarta-bcel 5.2 API)
Keywords: org.apache.bcel.generic.GOTO class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.bcel.generic
Class GOTO

    java.lang.Object
      org.apache.bcel.generic.Instruction
          org.apache.bcel.generic.BranchInstruction
              org.apache.bcel.generic.GotoInstruction
                  org.apache.bcel.generic.GOTO

All Implemented Interfaces:
  Serializable, Cloneable, InstructionTargeter, UnconditionalBranch, VariableLengthInstruction

    public class GOTO

extends GotoInstruction
implements VariableLengthInstruction

GOTO - Branch always (to relative offset, not absolute address)

Version:
  $Id: GOTO.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.BranchInstruction
`index, position, target`

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`GOTO(InstructionHandle target)`

Method Summary
`void` | `accept(Visitor v)` Call corresponding visitor method(s).
`void` | `dump(DataOutputStream out)` Dump instruction as byte code to stream out.
`protected int` | `updatePosition(int offset, int max_offset)` Called in pass 2 of InstructionList.setPositions() in order to update the branch target, that may shift due to variable length instructions.

Methods inherited from class org.apache.bcel.generic.BranchInstruction
`containsTarget, getIndex, getTarget, getTargetOffset, getTargetOffset, initFromFile, setTarget, toString, updateTarget`

Methods inherited from class org.apache.bcel.generic.Instruction
`consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, produceStack, readInstruction, setComparator, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GOTO

    public GOTO(InstructionHandle target)

Method Detail

### dump

    public void dump(DataOutputStream out)
              throws IOException

  Dump instruction as byte code to stream out.

  Overrides:
    `dump` in class `BranchInstruction`
  Parameters:
    `out` - Output stream
  Throws:
    `IOException`

### updatePosition

    protected int updatePosition(int offset,
                                 int max_offset)

  Called in pass 2 of InstructionList.setPositions() in order to update the branch target, that may shift due to variable length instructions.

  Overrides:
    `updatePosition` in class `BranchInstruction`
  Parameters:
    `offset` - additional offset caused by preceding (variable length) instructions
    `max_offset` - the maximum offset that may be caused by these instructions
  Returns:
    additional offset caused by possible change of this instruction's length

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.

  Specified by:
    `accept` in class `Instruction`
  Parameters:
    `v` - Visitor object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.